-- PERCENT_RANK
USE AdventureWorks2012;
GO
SELECT Department, LastName, Rate, 
       PERCENT_RANK() OVER (PARTITION BY Department ORDER BY Rate ) AS PctRank
FROM HumanResources.vEmployeeDepartmentHistory AS edh
    INNER JOIN HumanResources.EmployeePayHistory AS e  
    ON e.BusinessEntityID = edh.BusinessEntityID
WHERE Department IN (N'Information Services',N'Document Control') 
ORDER BY Department, Rate DESC;


-- PERCENT_RANK calculation pre-2012
USE AdventureWorks2012;
GO
SELECT Department, LastName, Rate, 
	   (RANK() OVER (PARTITION BY Department ORDER BY Rate) - 1. ) / (COUNT(*) OVER (PARTITION BY Department) - 1.) AS pctRank_calc
FROM HumanResources.vEmployeeDepartmentHistory AS edh
    INNER JOIN HumanResources.EmployeePayHistory AS e  
    ON e.BusinessEntityID = edh.BusinessEntityID
WHERE Department IN (N'Information Services',N'Document Control') 
ORDER BY Department, Rate DESC;